%define name hardware-monitor
%define version 1.2
%define release 1mdk

Name:		%name
Summary:	Hardware monitoring applet for GNOME panel
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.cs.auc.dk/~olau/hardware-monitor/
Group:		Monitoring
Source0:	http://www.cs.auc.dk/~olau/hardware-monitor/source/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.2-gcc34.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:	libgnomeuimm2.6-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	gnome-panel-devel >= 2.0
BuildRequires:	libgtop2.0-devel >= 2.6
BuildRequires:	lm_sensors-devel

%description
Hardware Monitor is a monitor applet for the Gnome panel. It supports
a variety of monitoring capabilities (CPU usage, network throughput
etc.) and different kinds of viewers (curves, bars, columns, text,
flames).

%prep
%setup -q
%patch0 -p1 -b .gcc34

%build
%configure2_5x --with-libsensors=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{_libdir}/bonobo/servers/*
%{_libexecdir}/%{name}
%{_datadir}/hardware-monitor
%{_datadir}/pixmaps/*

%changelog
* Tue Aug 10 2004 Abel Cheung <deaddog@deaddog.org> 1.2-1mdk
- New version
- P0: enable building with new g++

* Sat May 1 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.7-2mdk
- Rebuild

* Fri Dec 12 2003 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.7-1mdk
- Make a spec file
